This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 779325 - (SOA-1713) WSDL documents can not be loaded automatically
WSDL documents can not be loaded automatically
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.0.0 ER5
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.0.0 GA,5.0.0 ER6
Assigned To: Julian Coleman
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 06:13 EST by Boris Belovic
Modified: 2010-01-03 08:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-03 08:26:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1713 None None None Never

  None (edit)
Description Boris Belovic 2009-12-14 06:13:57 EST
Date of First Response: 2009-12-14 11:44:28
project_key: SOA

See JBESB-3052 for details.
Comment 1 Boris Belovic 2009-12-14 06:14:17 EST
Link: Added: This issue is related to JBESB-3052
Comment 3 Julian Coleman 2009-12-14 11:44:28 EST
Link: Added: This issue is related to SOA-1650
Comment 4 Julian Coleman 2009-12-15 10:44:04 EST
For this to work, calls to contract.jsp need to be unauthenticated.  Adding the following to the
WEB-INF/web.xml file will acheive this:

   <security-constraint>
      <web-resource-collection>
         <web-resource-name>All Access</web-resource-name>
         <url-pattern>/contract.jsp</url-pattern>  
      </web-resource-collection>
   </security-constraint>
Comment 5 Julian Coleman 2009-12-16 09:35:32 EST
Fixed with revision 4541 of:
  build-tools/builders/esb/post-patch/patch_contract_war.xml
  build-tools/resource/soa-auth/add_security_constrain.xsl

Commit message:
  SOA-1713
  Add an `allaccess' parameter, used to specify URL patterns that will be
  excluded from the authentication realm.
Comment 6 Boris Belovic 2010-01-03 08:26:10 EST
Verified in ER6.

Note You need to log in before you can comment on or make changes to this bug.